DH_VARNISHABI(1p)

NAME
dh_varnishabi - calculate the Varnish ABI dependencies

SYNOPSIS
dh_varnishabi [debhelper options] [--strict] [--force]

DESCRIPTION
dh_varnishabi is a debhelper program that adds appropriate varnishabi-* dependencies on packages that build varnish modules.

By default, a varnishabi-* entry is added to misc:Depends to ensure that packages which contain modules that are loaded by Varnish depend on an appropriate version of the varnish package.

If --strict is specified, then a dependency on varnishabi-strict-* is added too.

When building the varnish binary package the program will generate instead misc:Provides entries for varnishabi-* and varnishabi-strict-*.

Substvars entries are only added if a Varnish module is detected in the build products, unless --force is specified. Modules are detected by searching a package's build products for libraries installed in the Varnish vmods directory and containing a symbol named vmod_version.

Please note there is a dh addon named varnishabi which can be used to automatically invoke dh_varnishabi for you.

OPTIONS

--force
    Do not try to detect Varnish modules in the package, and always assume that a module is present. This will cause misc:Depends to always be populated.

NOTES
Note that this command is not idempotent. dh_prep(1) should be called between invocations of this command (with the same arguments). Otherwise, it may cause multiple instances of the same text to be added to the substition variables.

Note that dh_varnishabi should be run before dh_gencontrol. The varnishabi sequence addon for dh does the right thing, this note is only relevant when you are calling dh_varnishabi manually.

SEE ALSO
debhelper(7)

AUTHOR
Originally written by Chris Boot <bootc@debian.org> as dh_ppp(7), then Marco d'Itri <md@linux.it> modified it for Varnish.